FROM alpine:latest

RUN apk update \
	&& apk add --no-cache avahi avahi-tools \
	&& sed -i 's/^#enable-dbus=yes/enable-dbus=no/' /etc/avahi/avahi-daemon.conf \
	&& sed -i 's/\%h/barbatos/' /etc/avahi/services/*

ENTRYPOINT ["/usr/sbin/avahi-daemon"]
